%define module	versiontools

Name:		python-%{module}
Version:	1.9.1
Release:	%mkrel 6
Summary:	Smart replacement for plain tuple used in __version__
Group:		Development/Python
License:	LGPLv3
URL:		https://launchpad.net/versiontools
Source0:	http://pypi.io/packages/source/v/versiontools/%{module}-%{version}.tar.gz

# Update tests for python 3.4
Patch0:		versiontools-1.9.1-py34-tests.patch
Patch1:		python-versiontools-py35.patch
BuildArch:	noarch

%description
Smart replacement for plain tuple used in __version__.

%package -n	python3-%{module}
Summary:	Smart replacement for plain tuple used in __version__
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3dist(nose)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Smart replacement for plain tuple used in __version__.

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# remove bundled egg-info
rm -rf %{module}.egg-info

find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%py3_build

# generate html docs
sphinx-build doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
PYTHONPATH="${PWD}" %{__python3} setup.py nosetests

%files -n python3-%{module}
%doc html
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.9.1-6.mga8
+ Revision: 1532131
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 1.9.1-5.mga8
+ Revision: 1441659
- rebuild for python3.8
- drop python2 support

* Sat Aug 24 2019 daviddavid <daviddavid> 1.9.1-4.mga8
+ Revision: 1431762
- remove BR python2-sphinx

* Wed Jan 09 2019 shlomif <shlomif> 1.9.1-3.mga7
+ Revision: 1353158
- Rebuild for python3 3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.9.1-2.mga7
+ Revision: 1290455
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 1.9.1-1.mga7
+ Revision: 1227818
- imported package python-versiontools

